Package org.silverpeas.components.classifieds

## Class ClassifiedsComponentSettings

- java.lang.Object
- - org.silverpeas.components.classifieds.ClassifiedsComponentSettings

- All Implemented Interfaces:
    `Serializable`

      public class ClassifiedsComponentSettings
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `COMPONENT_NAME` | The name of the Classified component in Silverpeas.
    `static String` | `ICONS_PATH` | The relative path of the properties file containing the references of the icons dedicated to the component.
    `static String` | `MESSAGES_PATH` | The relative path of the i18n bundle of the component.
    `static String` | `PARAM_COMMENTS` |
    `static String` | `PARAM_PHOTOS` |
    `static String` | `PARAM_PRICE` |
    `static String` | `SETTINGS_PATH` | The relative path of the properties file containing the settings of the component.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClassifiedsComponentSettings()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static org.silverpeas.core.util.LocalizationBundle` | `getIcons()` | Gets all the icons definitions particular to the Suggestion Box component.
    `static org.silverpeas.core.util.LocalizationBundle` | `getMessagesIn​(String language)` | Gets all the messages for the Suggestion Box component and translated in the specified language.
    `static org.silverpeas.core.util.SettingBundle` | `getSettings()` | Gets all the settings of the Suggestion Box component.
    `boolean` | `isCommentsEnabled()` |
    `boolean` | `isPhotosAllowed()` |
    `boolean` | `isPriceAllowed()` |
    `void` | `setCommentsEnabled​(boolean commentsEnabled)` |
    `void` | `setPhotosAllowed​(boolean photosAllowed)` |
    `void` | `setPriceAllowed​(boolean priceAllowed)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PARAM_COMMENTS

          public static final String PARAM_COMMENTS

      See Also:
        Constant Field Values

    - #### PARAM_PRICE

          public static final String PARAM_PRICE

      See Also:
        Constant Field Values

    - #### PARAM_PHOTOS

          public static final String PARAM_PHOTOS

      See Also:
        Constant Field Values

    - #### COMPONENT_NAME

          public static final String COMPONENT_NAME

      The name of the Classified component in Silverpeas.
      See Also:
        Constant Field Values

    - #### SETTINGS_PATH

          public static final String SETTINGS_PATH

      The relative path of the properties file containing the settings of the component.
      See Also:
        Constant Field Values

    - #### MESSAGES_PATH

          public static final String MESSAGES_PATH

      The relative path of the i18n bundle of the component.
      See Also:
        Constant Field Values

    - #### ICONS_PATH

          public static final String ICONS_PATH

      The relative path of the properties file containing the references of the icons dedicated to the component.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ClassifiedsComponentSettings

          public ClassifiedsComponentSettings()

  - ### Method Detail

    - #### isCommentsEnabled

          public boolean isCommentsEnabled()

    - #### setCommentsEnabled

          public void setCommentsEnabled​(boolean commentsEnabled)

    - #### getMessagesIn

          public static org.silverpeas.core.util.LocalizationBundle getMessagesIn​(String language)

      Gets all the messages for the Suggestion Box component and translated in the specified language.
      Parameters:
        `language` - the language in which are written the messages.
      Returns:
        the resource with the translated messages.

    - #### getSettings

          public static org.silverpeas.core.util.SettingBundle getSettings()

      Gets all the settings of the Suggestion Box component.
      Returns:
        the resource with the different component settings.

    - #### getIcons

          public static org.silverpeas.core.util.LocalizationBundle getIcons()

      Gets all the icons definitions particular to the Suggestion Box component.
      Returns:
        the resource with icons definition.

    - #### isPriceAllowed

          public boolean isPriceAllowed()

    - #### setPriceAllowed

          public void setPriceAllowed​(boolean priceAllowed)

    - #### isPhotosAllowed

          public boolean isPhotosAllowed()

    - #### setPhotosAllowed

          public void setPhotosAllowed​(boolean photosAllowed)